Name:           xmltooling
Version:        1.4.2
Release:        13%{?dist}
Summary:        XML signing and encryption library

Group:          System Environment/Libraries
License:        ASL 2.0
URL:            https://wiki.shibboleth.net/confluence/display/OpenSAML/XMLTooling-C
Source0:        http://www.shibboleth.net/downloads/c++-opensaml/2.4.3/xmltooling-%{version}.tar.gz
Patch0:         %{name}-python-cxxtest.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  xml-security-c-devel
#cxxtest is not available in EPEL4.
# so skip it.
%if "%{?rhel}" != "4"
BuildRequires:  cxxtest
%endif
BuildRequires:  log4cpp-devel
BuildRequires:  xerces-c-devel
BuildRequires:  doxygen
BuildRequires:  graphviz

%if %{?fedora}%{!?fedora:0} >= 10 || %{?rhel}%{!?rhel:0} >= 6
BuildRequires:  libcurl-devel
%else
BuildRequires:  curl-devel
%endif

# To bring in /usr/share/xml
Requires:       xml-common

# Needed since we are doing and autoreconf
# below.
BuildRequires:  automake
BuildRequires:  autoconf
BuildRequires:  libtool


%description
The XMLTooling library contains generic XML parsing and processing
classes based on the Xerces-C DOM. It adds more powerful facilities
for declaring element- and type-specific API and implementation
classes to add value around the DOM, as well as signing and encryption
support.

%package doc
Group: Documentation
Summary: XML signing and encryption library documentation
%if %{?fedora}%{!?fedora:0} >= 10 || %{?rhel}%{!?rhel:0} >= 6
BuildArch:      noarch
%endif

%description doc
The XMLTooling library contains generic XML parsing and processing
classes based on the Xerces-C DOM. It adds more powerful facilities
for declaring element- and type-specific API and implementation
classes to add value around the DOM, as well as signing and encryption
support.

This %{name}-doc package contains documentation.

%package devel
Group: System Environment/Libraries
Summary: XML signing and encryption library development files
Requires: %{name} = %{version}-%{release}

%description devel
The XMLTooling library contains generic XML parsing and processing
classes based on the Xerces-C DOM. It adds more powerful facilities
for declaring element- and type-specific API and implementation
classes to add value around the DOM, as well as signing and encryption
support.

This %{name}-devel package contains header files.

%prep
%setup -q
%patch0 -p1

%build
#aclocal 
#autoconf
#autoheader
#automake --add-missing --copy
#libtoolize --copy --force
autoreconf -fiv

%if "%{?rhel}" == "4"
%configure --without-cxxtest
%else
%configure 
%endif
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
# Force unversioned doc directory
make install DESTDIR=$RPM_BUILD_ROOT pkgdocdir=%{_docdir}/%{name}
# Don't need the unit test executer.
rm -f $RPM_BUILD_ROOT/%{_bindir}/xmltoolingtest

%check
make check

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%{_libdir}/*.so.*
%{_datadir}/xml/xmltooling
%dir %{_docdir}/%{name}
%{_docdir}/%{name}/README.txt
%{_docdir}/%{name}/{LICENSE.txt,CURL.LICENSE,LOG4CPP.LICENSE,NOTICE.txt,OPENSSL.LICENSE}

%files doc
%defattr(-,root,root,-)
%dir %{_docdir}/%{name}
%{_docdir}/%{name}/{LICENSE.txt,CURL.LICENSE,LOG4CPP.LICENSE,NOTICE.txt,OPENSSL.LICENSE}
%{_docdir}/%{name}/api/

%files devel
%defattr(-,root,root,-)
%{_includedir}/%{name}
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc

%changelog
* Fri Feb 05 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.2-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Sun Aug 16 2015 Bruno Wolff III <bruno@wolff.to> - 1.4.2-12
- Account for changes in how %doc works in subpackages

* Fri Jun 19 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.2-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat May 02 2015 Kalev Lember <kalevlember@gmail.com> - 1.4.2-10
- Rebuilt for GCC 5 C++11 ABI change

* Mon Aug 18 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.2-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.2-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Oct 12 2013 Bruno Wolff III <bruno@wolff.to> - 1.4.2-7
- Rebuild for liblog4cpp soname bump
- Use unversioned doc directory

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.2-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri Feb 15 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sun Jul 22 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Tue Feb 28 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.2-3
- Rebuilt for c++ ABI breakage

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Sep 12 2011 Guido Grazioli <guido.grazioli@gmail.com> - 1.4.2-1
- Update to opensaml 2.4.3, xmltooling 1.4.2 (CVE-2011-1411)
- Fix project url and download url

* Wed Mar 16 2011 Kalev Lember <kalev@smartlink.ee> - 1.3.3-4
- Rebuilt with xml-security-c 1.6

* Thu Mar 10 2011 Kalev Lember <kalev@smartlink.ee> - 1.3.3-3
- Rebuilt with xerces-c 3.1

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sun Jun 20 2010 Steve Traylen <steve.traylen@cern.ch> - 1.3.3-1
- New upstream 1.3.3.

* Sun Feb 07 2010 Steve Traylen <steve.traylen@cern.ch> - 1.3.2-2
- Rebuild againt xerces 3

* Wed Dec 2 2009 Steve Traylen <steve.traylen@cern.ch> 1.3.2-1
- New upstream 1.3.2

* Thu Nov 19 2009 Steve Traylen <steve.traylen@cern.ch> 1.3.1-2
- New upstream
- Addition of graphviz to build requires.
- Correct date in this changelog.

* Mon Oct 19 2009 Steve Traylen <steve.traylen@cern.ch> 1.2.2-3
- Disable cxxtests for EPEL4 only.

* Sat Oct 17 2009 Steve Traylen <steve.traylen@cern.ch> 1.2.2-2
- Change Source URL to be permanent rather than contain "latest"
- Require xml-common to bring in /usr/share/xml

* Mon Oct 5 2009 Steve Traylen <steve.traylen@cern.ch> 1.2.2-1
- First Build

